Debian Bug report logs - #599687
libssh-4: libssh ssh_select bug causes very slow response in Remmina SSH connection

version graph

Package: libssh-4; Maintainer for libssh-4 is Laurent Bigonville <bigon@debian.org>; Source for libssh-4 is src:libssh.

Reported by: Vic Lee <llyzs.vic@gmail.com>

Date: Sun, 10 Oct 2010 07:51:02 UTC

Severity: important

Tags: patch, squeeze

Fixed in version libssh/0.4.5-2

Done: Laurent Bigonville <bigon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, llyzs.vic@gmail.com, Laurent Bigonville <bigon@debian.org>:
Bug#599687; Package libssh-4. (Sun, 10 Oct 2010 07:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vic Lee <llyzs.vic@gmail.com>:
New Bug report received and forwarded. Copy sent to llyzs.vic@gmail.com, Laurent Bigonville <bigon@debian.org>. (Sun, 10 Oct 2010 07:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vic Lee <llyzs.vic@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libssh-4: libssh ssh_select bug causes very slow response in Remmina SSH connection
Date: Sun, 10 Oct 2010 15:52:57 +0800
Package: libssh-4
Severity: important
Tags: patch

When you make SSH connection in Remmina, the response time of keystrokes are
very slow. This has been discovered as a bug in libssh 0.4.5 and 0.4.6 (0.4.4
is ok). And it  has been fixed upstream by this simple patch:

http://git.libssh.org/projects/libssh/libssh.git/commit/?h=v0-4&id=31fdb4ecf6ea577c5a8dc17e888f091337163258

Please consider to fix this by applying this patch.



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.35.5 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libssh-4 depends on:
ii  libc6                   2.11.2-6         Embedded GNU C Library: Shared lib
ii  libssl0.9.8             0.9.8o-2         SSL shared libraries
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

libssh-4 recommends no packages.

libssh-4 suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Laurent Bigonville <bigon@debian.org>:
Bug#599687; Package libssh-4. (Sun, 10 Oct 2010 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vic Lee <llyzs.vic@gmail.com>:
Extra info received and forwarded to list. Copy sent to Laurent Bigonville <bigon@debian.org>. (Sun, 10 Oct 2010 08:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 599687@bugs.debian.org (full text, mbox):

From: Vic Lee <llyzs.vic@gmail.com>
To: dktrkranz@debian.org, 599687@bugs.debian.org
Subject: Re: Bug#599687: libssh-4: libssh ssh_select bug causes very slow response in Remmina SSH connection
Date: Sun, 10 Oct 2010 16:38:52 +0800
Copy to Luca Falavigna for reference.




Added tag(s) squeeze. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Wed, 20 Oct 2010 18:54:04 GMT) Full text and rfc822 format available.

Reply sent to Laurent Bigonville <bigon@debian.org>:
You have taken responsibility. (Wed, 20 Oct 2010 19:21:04 GMT) Full text and rfc822 format available.

Notification sent to Vic Lee <llyzs.vic@gmail.com>:
Bug acknowledged by developer. (Wed, 20 Oct 2010 19:21:04 GMT) Full text and rfc822 format available.

Message #17 received at 599687-close@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 599687-close@bugs.debian.org
Subject: Bug#599687: fixed in libssh 0.4.5-2
Date: Wed, 20 Oct 2010 19:17:15 +0000
Source: libssh
Source-Version: 0.4.5-2

We believe that the bug you reported is fixed in the latest version of
libssh, which is due to be installed in the Debian FTP archive:

libssh-4_0.4.5-2_amd64.deb
  to main/libs/libssh/libssh-4_0.4.5-2_amd64.deb
libssh-dbg_0.4.5-2_amd64.deb
  to main/libs/libssh/libssh-dbg_0.4.5-2_amd64.deb
libssh-dev_0.4.5-2_amd64.deb
  to main/libs/libssh/libssh-dev_0.4.5-2_amd64.deb
libssh-doc_0.4.5-2_all.deb
  to main/libs/libssh/libssh-doc_0.4.5-2_all.deb
libssh_0.4.5-2.debian.tar.gz
  to main/libs/libssh/libssh_0.4.5-2.debian.tar.gz
libssh_0.4.5-2.dsc
  to main/libs/libssh/libssh_0.4.5-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599687@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laurent Bigonville <bigon@debian.org> (supplier of updated libssh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 20 Oct 2010 20:45:48 +0200
Source: libssh
Binary: libssh-4 libssh-dev libssh-dbg libssh-doc
Architecture: source all amd64
Version: 0.4.5-2
Distribution: unstable
Urgency: low
Maintainer: Laurent Bigonville <bigon@debian.org>
Changed-By: Laurent Bigonville <bigon@debian.org>
Description: 
 libssh-4   - A tiny C SSH library
 libssh-dbg - A tiny C SSH library. Debug symbols
 libssh-dev - A tiny C SSH library. Development files
 libssh-doc - A tiny C SSH library. Documentation files
Closes: 599687
Changes: 
 libssh (0.4.5-2) unstable; urgency=low
 .
   * Add d/p/0001-socket.c-Fixed-setting-max_fd-which-breaks-ssh_selec.patch:
     Fix slow response in Remmina SSH (Closes: #599687, LP: #663777)
   * debian/control: Bump Standards-Version to 3.9.1 (no futher changes)
   * debian/copyright: Update copyright file to please lintian
Checksums-Sha1: 
 6e24c683812b713454208a6b2aecbd561460b7ab 1522 libssh_0.4.5-2.dsc
 f138f000ba26b5a9469bf3e391c307e47612ad51 6661 libssh_0.4.5-2.debian.tar.gz
 34e3266d32b1faa17a35507eff72c19778515f58 132582 libssh-doc_0.4.5-2_all.deb
 743b157cfa5101f3c44788cc3696e5b0ae9e9f2a 108118 libssh-4_0.4.5-2_amd64.deb
 d2012a0d51ebb359c8aa28643f970944801db789 149562 libssh-dev_0.4.5-2_amd64.deb
 b993a9a461f1afc895e1fad752d66e39cb8a010f 194710 libssh-dbg_0.4.5-2_amd64.deb
Checksums-Sha256: 
 cc30ab231b248e61d30c2c3e5d4433802f550b38bba807605088584bd4fdead6 1522 libssh_0.4.5-2.dsc
 8bb80fcbe4968077ccf6c2c9d1522cb3b02408eb82f23b7c9fd69cb9818839a8 6661 libssh_0.4.5-2.debian.tar.gz
 22ca54ead2f812db2d102b4c4c56de534910a4ba965678c14af874e59a4caed3 132582 libssh-doc_0.4.5-2_all.deb
 0340eb0dd1be5ac37c0a11ef94fcecac234265f7398dc639b55b03bd2036ad0b 108118 libssh-4_0.4.5-2_amd64.deb
 c048098e807f7b2a7d3b84fba275064fe8cdf41e4b11c8875203512bf9f90fe1 149562 libssh-dev_0.4.5-2_amd64.deb
 e4a1ee27df693016c06e7f9836e1f32da62db5af9cdaaa64fb27f1f396396aae 194710 libssh-dbg_0.4.5-2_amd64.deb
Files: 
 ceb08deb93bbd6153045a4f224180147 1522 libs optional libssh_0.4.5-2.dsc
 7289094153b18f52b797e28cc481e752 6661 libs optional libssh_0.4.5-2.debian.tar.gz
 0ccac5b98b1350c123215f9ff83e58c6 132582 doc optional libssh-doc_0.4.5-2_all.deb
 63c4afdb166e563fcb334a444e67be74 108118 libs optional libssh-4_0.4.5-2_amd64.deb
 07f8391f8d0418102e02ba155f9f0af8 149562 libdevel optional libssh-dev_0.4.5-2_amd64.deb
 31d7620f7a6f5fa680e541a1623cb893 194710 debug extra libssh-dbg_0.4.5-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJMvz11AAoJEB/FiR66sEPVOXcH/3EE/C7zpNxv+jih49lo3pu9
1DBUUxP6gGGL+Ad4dyvugJN3tkbmv9ZybcAz1ej4Dr+s5buEhzjKy0uQFDs84+pM
ZmKuqNqC9fT43uGxFedNgnfcXklojdqF0KOoi+k4IQ6/74/KufUundwOo8MjY51Y
AUzFGfxh8arKMhpXRELq/u6ZAp8vXNMzCVNE56qzLarPDsajY3bHGUJwkLtWs2nQ
ydVie8tCSoEGNqyrKP0LiNnOJwx+LCJKSNxbiwgEhr4OHavc+tjxWQ7uh6vewsZJ
7q8Atz81RitRltzbM3kYb1oyQZiG4oYf5w8+TAx/YmQbxZkSPEqWXiXSzzvMbic=
=5JuO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Dec 2010 07:36:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:28:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.